=== added directory '.pc/01_force_ruby1.8.patch'
=== added directory '.pc/01_force_ruby1.8.patch/build'
=== added file '.pc/01_force_ruby1.8.patch/build/extconf_ubuntu.sh'
--- .pc/01_force_ruby1.8.patch/build/extconf_ubuntu.sh	1970-01-01 00:00:00 +0000
+++ .pc/01_force_ruby1.8.patch/build/extconf_ubuntu.sh	2013-07-16 19:30:48 +0000
@@ -0,0 +1,2 @@
+#!/bin/bash
+ruby extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@

=== added directory '.pc/02_Rakefile_update.patch'
=== added file '.pc/02_Rakefile_update.patch/Rakefile'
--- .pc/02_Rakefile_update.patch/Rakefile	1970-01-01 00:00:00 +0000
+++ .pc/02_Rakefile_update.patch/Rakefile	2013-07-16 19:30:48 +0000
@@ -0,0 +1,88 @@
+require 'rake/rdoctask'
+require 'rake/gempackagetask'
+require 'rake/testtask'
+require 'rake/clean'
+require 'rubygems'
+
+#require 'rubyluabridge'
+
+# Specifies the default task to execute. This is often the "test" task
+# and we'll change things around as soon as we have some tests.
+task  :default => [:rdoc]
+
+# The directory to generate +rdoc+ in.
+RDOC_DIR = "doc/html"
+
+# This global variable contains files that will be erased by the `clean` task.
+# The `clean` task itself is automatically generated by requiring `rake/clean`.
+CLEAN << RDOC_DIR
+
+
+# This is the task that generates the +rdoc+ documentation from the
+# source files. Instantiating Rake::RDocTask automatically generates a
+# task called `rdoc`.
+Rake::RDocTask.new("rdoc") do |rdoc|
+    
+    rdoc.main = "README"
+    rdoc.rdoc_files.include(
+        "README", "LICENSE", "RUBY_IN_LUA", "LUA_IN_RUBY",
+        "rubyluabridge.cc", "tests/*.rb" )
+    rdoc.rdoc_dir = RDOC_DIR
+    
+    rdoc.title = "RubyLuaBridge: A seamless bridge between Ruby and Lua."
+    
+    rdoc.options = ["--line-numbers", "--inline-source"]
+    rdoc.template = 'doc/jamis.rb'
+
+    # Check:
+    # `rdoc --help` for more rdoc options
+    # the {rdoc documenation home}[http://www.ruby-doc.org/stdlib/libdoc/rdoc/rdoc/index.html]
+    # or the documentation for the +Rake::RDocTask+ task[http://rake.rubyforge.org/classes/Rake/RDocTask.html]
+end
+
+
+# The GemPackageTask facilitates getting all your files collected
+# together into gem archives. You can also use it to generate tarball
+# and zip archives.
+PROJECT_NAME    = "rubyluabridge"
+PKG_VERSION     = "0.5.0" #Lua::BRIDGE_VERSION
+PKG_FILES       = FileList['lib/**/*.rb', 'bin/**/*', 'examples/**/*', '[A-Z]*', 'test/**/*'].to_a
+
+spec = Gem::Specification.new do |s|
+    s.platform = Gem::Platform::RUBY
+    s.summary  = "RubyLuaBridge: A seamless bridge between Ruby and Lua."
+    s.name     = PROJECT_NAME
+    s.version  = PKG_VERSION
+    s.files    = PKG_FILES
+    s.requirements << "none"
+    s.require_path = ''
+    s.description = <<END_DESC
+RubyLuaBridge lets you access Lua from Ruby.  Eventually, support for accessing Ruby from Lua will be added.
+END_DESC
+end
+
+# Adding a new GemPackageTask adds a task named `package`, which generates
+# packages as gems, tarball and zip archives.
+Rake::GemPackageTask.new(spec) do |pkg|
+        pkg.need_zip = true
+        pkg.need_tar_gz = true
+end
+
+
+# This task will run the unit tests provided in files called
+# 'tests/test*.rb'. The task itself can be run with a call to "rake test"
+Rake::TestTask.new do |t|
+    #t.libs << "test"
+    #t.libs << "lib"
+    t.test_files = FileList['tests/*.rb']
+    t.verbose = true
+end
+
+
+desc "Install the jamis RDoc template"
+task :install_jamis_template do
+  require 'rbconfig'
+  dest_dir = File.join(Config::CONFIG['rubylibdir'], "rdoc/generators/template/html")
+  fail "Unabled to write to #{dest_dir}" unless File.writable?(dest_dir)
+  install "doc/jamis.rb", dest_dir, :verbose => true
+end

=== modified file '.pc/applied-patches'
--- .pc/applied-patches	2012-07-10 00:15:48 +0000
+++ .pc/applied-patches	2013-07-16 19:30:48 +0000
@@ -1,1 +1,2 @@
-force_ruby1.8
+01_force_ruby1.8.patch
+02_Rakefile_update.patch

=== removed directory '.pc/force_ruby1.8'
=== removed directory '.pc/force_ruby1.8/build'
=== removed file '.pc/force_ruby1.8/build/extconf_ubuntu.sh'
--- .pc/force_ruby1.8/build/extconf_ubuntu.sh	2012-07-10 00:15:48 +0000
+++ .pc/force_ruby1.8/build/extconf_ubuntu.sh	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-#!/bin/bash
-ruby extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@

=== modified file 'Rakefile'
--- Rakefile	2010-06-13 00:22:17 +0000
+++ Rakefile	2013-07-16 19:30:48 +0000
@@ -1,5 +1,5 @@
-require 'rake/rdoctask'
-require 'rake/gempackagetask'
+require 'rdoc/task'
+require 'rubygems/package_task'
 require 'rake/testtask'
 require 'rake/clean'
 require 'rubygems'
@@ -63,7 +63,7 @@
 
 # Adding a new GemPackageTask adds a task named `package`, which generates
 # packages as gems, tarball and zip archives.
-Rake::GemPackageTask.new(spec) do |pkg|
+Gem::PackageTask.new(spec) do |pkg|
         pkg.need_zip = true
         pkg.need_tar_gz = true
 end

=== modified file 'debian/changelog'
--- debian/changelog	2012-07-10 00:15:48 +0000
+++ debian/changelog	2013-07-16 19:30:48 +0000
@@ -1,3 +1,14 @@
+rubyluabridge (0.7.0-2) unstable; urgency=low
+
+  * Acknowledge NMU, thanks to Scott Kitterman
+  * Patch Rakefile to work with newer rake version (Closes: #713148)
+  * Rename libluabridge-ruby and libluabridge-ruby1.8 to ruby-luabridge
+  * Build arch:all only when binary-indep called
+  * Build with hardening options
+  * Update to Standards-Version 3.9.4 (no changes)
+
+ -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 16 Jul 2013 19:30:48 -0400
+
 rubyluabridge (0.7.0-1.1) unstable; urgency=low
 
   * Non-maintainer upload.

=== modified file 'debian/control'
--- debian/control	2012-07-10 00:15:48 +0000
+++ debian/control	2013-07-16 19:30:48 +0000
@@ -4,26 +4,44 @@
 Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>= 5), liblua5.1-0-dev, rake, ruby1.8-dev, rubygems1.8, libboost-dev, g++-4.6
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Homepage: http://rubyluabridge.rubyforge.org
 Vcs-Browser: http://rubyluabridge.rubyforge.org/svn/debian/rubyluabridge/trunk
 Vcs-Svn: svn://rubyforge.org/var/svn/rubyluabridge/debian/rubyluabridge/trunk
 
-Package: libluabridge-ruby1.8
+Package: ruby-luabridge
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-0
-Description: access Lua from Ruby (Ruby 1.8)
- RubyLuaBridge is a seamless bridge between Ruby and Lua.  It is a C
- extension that uses the actual Lua C library.
- .
- This package is built for Ruby 1.8.
+Provides: libluabridge-ruby, libluabridge-ruby1.8
+Replaces: libluabridge-ruby, libluabridge-ruby1.8
+Breaks: libluabridge-ruby, libluabridge-ruby1.8
+Description: access Lua from Ruby
+ RubyLuaBridge is a seamless bridge between Ruby and Lua.  It is a C
+ extension that uses the actual Lua C library.
+ .
+ This package is built for Ruby 1.8.
+
+Package: libluabridge-ruby1.8
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ruby-luabridge, ${misc:Depends}
+Description: access Lua from Ruby (Ruby 1.8) - transitional package
+ RubyLuaBridge is a seamless bridge between Ruby and Lua.  It is a C
+ extension that uses the actual Lua C library.
+ .
+ This package is built for Ruby 1.8.
+ .
+ This is a dummy transitional package and can safely be removed.
 
 Package: libluabridge-ruby
 Architecture: all
-Depends: libluabridge-ruby1.8, ${misc:Depends}
-Description: access Lua from Ruby
+Section: oldlibs
+Priority: extra
+Depends: ruby-luabridge, ${misc:Depends}
+Description: access Lua from Ruby - transitional package
  RubyLuaBridge is a seamless bridge between Ruby and Lua.  It is a C
  extension that uses the actual Lua C library.
  .
- This dummy package depends on the one built against the current Ruby.
+ This is a dummy transitional package and can safely be removed.
 

=== modified file 'debian/copyright'
--- debian/copyright	2008-02-14 21:36:41 +0000
+++ debian/copyright	2013-07-16 19:30:48 +0000
@@ -30,5 +30,3 @@
  IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  POSSIBILITY OF SUCH DAMAGE.  
-On Debian systems, the complete text of the BSD License can be
-found in `/usr/share/common-licenses/BSD'.

=== removed file 'debian/libluabridge-ruby1.8.doc-base'
--- debian/libluabridge-ruby1.8.doc-base	2008-02-14 21:36:41 +0000
+++ debian/libluabridge-ruby1.8.doc-base	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-Document: libluabridge-ruby1.8
-Title: RubyLuaBridge Manual
-Author: Evan Wies <evan@neomantra.net>
-Abstract: This manual describes how to use 
- RubyLuaBridge to be able to access Ruby code
- from Lua and vice versa.
-Section: Programming/Ruby
-
-Format: HTML
-Index: /usr/share/doc/libluabridge-ruby1.8/html/index.html
-Files: /usr/share/doc/libluabridge-ruby1.8/html/*.html

=== removed file 'debian/libluabridge-ruby1.8.docs'
--- debian/libluabridge-ruby1.8.docs	2008-02-14 21:36:41 +0000
+++ debian/libluabridge-ruby1.8.docs	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-README
-doc/html

=== removed file 'debian/libluabridge-ruby1.8.install'
--- debian/libluabridge-ruby1.8.install	2008-10-11 10:24:54 +0000
+++ debian/libluabridge-ruby1.8.install	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-usr/lib/ruby/1.8/*/rubyluabridge.so

=== added directory 'debian/lintian'
=== added file 'debian/lintian/ruby-luabridge'
--- debian/lintian/ruby-luabridge	1970-01-01 00:00:00 +0000
+++ debian/lintian/ruby-luabridge	2013-07-16 19:30:48 +0000
@@ -0,0 +1,4 @@
+# This is a false positive
+ruby-luabridge: hardening-no-fortify-functions usr/lib/ruby/1.8/x86_64-linux/rubyluabridge.so
+# This is packaged with the documentation, and should be ignored
+ruby-luabridge: embedded-javascript-library usr/share/doc/ruby-luabridge/html/js/jquery.js

=== added file 'debian/patches/01_force_ruby1.8.patch'
--- debian/patches/01_force_ruby1.8.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/01_force_ruby1.8.patch	2013-07-16 19:30:48 +0000
@@ -0,0 +1,19 @@
+Description: Force ruby1.8
+ rubyluabridge (0.7.0-1.1) unstable; urgency=low
+ .
+   * Non-maintainer upload.
+   * Force build/extconf_ubuntu.sh to use ruby1.8 explicitly to fix FTBFS now
+     that ruby1.9.1 is default (Closes: #676076)
+Author: Scott Kitterman <scott@kitterman.com>
+Bug-Debian: http://bugs.debian.org/676076
+
+---
+
+Index: rubyluabridge-0.7.0/build/extconf_ubuntu.sh
+===================================================================
+--- rubyluabridge-0.7.0.orig/build/extconf_ubuntu.sh	2012-07-10 00:17:01.000000000 -0400
++++ rubyluabridge-0.7.0/build/extconf_ubuntu.sh	2012-07-10 00:18:17.468137202 -0400
+@@ -1,2 +1,2 @@
+ #!/bin/bash
+-ruby extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@
++ruby1.8 extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@

=== added file 'debian/patches/02_Rakefile_update.patch'
--- debian/patches/02_Rakefile_update.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/02_Rakefile_update.patch	2013-07-16 19:30:48 +0000
@@ -0,0 +1,21 @@
+Description: Replaces references to to obsolete rdoc tasks
+Author: Roberto C. Sanchez <roberto@connexer.com>
+--- rubyluabridge.hg.orig/Rakefile
++++ rubyluabridge.hg/Rakefile
+@@ -1,5 +1,5 @@
+-require 'rake/rdoctask'
+-require 'rake/gempackagetask'
++require 'rdoc/task'
++require 'rubygems/package_task'
+ require 'rake/testtask'
+ require 'rake/clean'
+ require 'rubygems'
+@@ -63,7 +63,7 @@
+ 
+ # Adding a new GemPackageTask adds a task named `package`, which generates
+ # packages as gems, tarball and zip archives.
+-Rake::GemPackageTask.new(spec) do |pkg|
++Gem::PackageTask.new(spec) do |pkg|
+         pkg.need_zip = true
+         pkg.need_tar_gz = true
+ end

=== removed file 'debian/patches/force_ruby1.8'
--- debian/patches/force_ruby1.8	2012-07-10 00:15:48 +0000
+++ debian/patches/force_ruby1.8	1970-01-01 00:00:00 +0000
@@ -1,19 +0,0 @@
-Description: Force ruby1.8
- rubyluabridge (0.7.0-1.1) unstable; urgency=low
- .
-   * Non-maintainer upload.
-   * Force build/extconf_ubuntu.sh to use ruby1.8 explicitly to fix FTBFS now
-     that ruby1.9.1 is default (Closes: #676076)
-Author: Scott Kitterman <scott@kitterman.com>
-Bug-Debian: http://bugs.debian.org/676076
-
----
-
-Index: rubyluabridge-0.7.0/build/extconf_ubuntu.sh
-===================================================================
---- rubyluabridge-0.7.0.orig/build/extconf_ubuntu.sh	2012-07-10 00:17:01.000000000 -0400
-+++ rubyluabridge-0.7.0/build/extconf_ubuntu.sh	2012-07-10 00:18:17.468137202 -0400
-@@ -1,2 +1,2 @@
- #!/bin/bash
--ruby extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@
-+ruby1.8 extconf.rb --with-lua-include=/usr/include/lua5.1 --with-lualib=lua5.1 $@

=== modified file 'debian/patches/series'
--- debian/patches/series	2012-07-10 00:15:48 +0000
+++ debian/patches/series	2013-07-16 19:30:48 +0000
@@ -1,1 +1,2 @@
-force_ruby1.8
+01_force_ruby1.8.patch
+02_Rakefile_update.patch

=== added file 'debian/ruby-luabridge.doc-base'
--- debian/ruby-luabridge.doc-base	1970-01-01 00:00:00 +0000
+++ debian/ruby-luabridge.doc-base	2013-07-16 19:30:48 +0000
@@ -0,0 +1,11 @@
+Document: ruby-luabridge
+Title: RubyLuaBridge Manual
+Author: Evan Wies <evan@neomantra.net>
+Abstract: This manual describes how to use 
+ RubyLuaBridge to be able to access Ruby code
+ from Lua and vice versa.
+Section: Programming/Ruby
+
+Format: HTML
+Index: /usr/share/doc/ruby-luabridge/html/index.html
+Files: /usr/share/doc/ruby-luabridge/html/*.html

=== added file 'debian/ruby-luabridge.docs'
--- debian/ruby-luabridge.docs	1970-01-01 00:00:00 +0000
+++ debian/ruby-luabridge.docs	2013-07-16 19:30:48 +0000
@@ -0,0 +1,2 @@
+README
+doc/html

=== added file 'debian/ruby-luabridge.install'
--- debian/ruby-luabridge.install	1970-01-01 00:00:00 +0000
+++ debian/ruby-luabridge.install	2013-07-16 19:30:48 +0000
@@ -0,0 +1,2 @@
+usr/lib/ruby/1.8/*/rubyluabridge.so
+usr/share/lintian/overrides/ruby-luabridge

=== modified file 'debian/rules'
--- debian/rules	2008-10-11 10:24:54 +0000
+++ debian/rules	2013-07-16 19:30:48 +0000
@@ -9,13 +9,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
-build: build-stamp
+# CFLAGS += "-I/usr/include/lua5.1 -fPIC $(shell dpkg-buildflags --get CFLAGS)"
+# CPPFLAGS += "-I/usr/include/lua5.1 -fPIC $(shell dpkg-buildflags --get CPPFLAGS)"
+# CXXFLAGS += "-I/usr/include/lua5.1 -fPIC $(shell dpkg-buildflags --get CXXFLAGS)"
+# LDFLAGS += "-llua5.1 $(shell dpkg-buildflags --get LDFLAGS)"
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	build/extconf_ubuntu.sh
 	rake
+	#$(MAKE) CFLAGS=$(CFLAGS) CPPFLAGS=$(CPPFLAGS) CXXFLAGS=$(CXXFLAGS) LDFLAGS=$(LDFLAGS)
 	$(MAKE)
 
 clean:
@@ -33,6 +39,8 @@
 	dh_clean -k 
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/rubyluabridge install
+	install -d $(CURDIR)/debian/rubyluabridge/usr/share/lintian/overrides
+	cp $(CURDIR)/debian/lintian/* $(CURDIR)/debian/rubyluabridge/usr/share/lintian/overrides/
 	mkdir -p $(CURDIR)/debian/rubyluabridge/usr/lib/ruby/1.8/
 	mv $(CURDIR)/debian/rubyluabridge/usr/local/lib/site_ruby/1.8/* $(CURDIR)/debian/rubyluabridge/usr/lib/ruby/1.8/
 	rm -rf $(CURDIR)/debian/rubyluabridge/usr/local
@@ -40,26 +48,39 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
+	dh_testdir -i
+	dh_testroot -i
+	dh_installchangelogs  -i
+	dh_installdocs -i
+	dh_installexamples -i
+	dh_install -i --sourcedir=$(CURDIR)/debian/rubyluabridge
+	dh_installman -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
-	dh_install --sourcedir=$(CURDIR)/debian/rubyluabridge
-	dh_installman
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir -a
+	dh_testroot -a
+	dh_installchangelogs  -a
+	dh_installdocs -a
+	dh_installexamples -a
+	dh_install -a --sourcedir=$(CURDIR)/debian/rubyluabridge
+	dh_installman -a
+	dh_link -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

